#!/bin/bash






echo " "
echo "Ready to configure rsyslog to allow fail2ban to work,"
echo "Press enter to continue-"
read
sed 's/$RepeatedMsgReduction on/$RepeatedMsgReduction off/' <  /etc/rsyslog.conf > /etc/rsyslog.conf1
mv /etc/rsyslog.conf1 /etc/rsyslog.conf
service rsyslog restart









echo "working on jail2ban configuration..."






newportforssh=$(cat "newportforssh.txt")

cp /etc/fail2ban/jail.conf /etc/fail2ban/jail.local



fail2sshheaderline=$(grep -n '\[ssh\]' /etc/fail2ban/jail.local)
echo $fail2sshheaderline > fail2sshheaderline.txt
sed -i 's/:.*//' fail2sshheaderline.txt
fail2sshheaderlineno=$(<fail2sshheaderline.txt)

sshportlineno=$(($fail2sshheaderlineno + 3))
sed -i "$sshportlineno s/port.*/port     = ${newportforssh}/g" /etc/fail2ban/jail.local





sed -i "s/false/true /g" /etc/fail2ban/jail.local


sed -i "s/#enabled  = true/#enabled  = false/g" /etc/fail2ban/jail.local












count=1

countlim=33
while [ "$countlim" -gt "$count" ]
do



/etc/init.d/fail2ban restart &> fail2banfailure.log


[[ $(tail -n 1 fail2banfailure.log) == *done* ]] && break || echo "fail2ban restart failed"




if grep "Failed during configuration: Have not found any log file" fail2banfailure.log
then sed 's/ jail//' < fail2banfailure.log > fail2banfailure.log1
sed 's/   ...fail!//' < fail2banfailure.log1 > fail2banfailure.log2

sed -e '${/^$/d}' < fail2banfailure.log2 > fail2banfailure.log3

xargs < fail2banfailure.log3 > fail2banfailure.log4

sed 's/file for /file for\n/' < fail2banfailure.log4 > fail2banfailure.log5

else
sed 's/ jail//' < fail2banfailure.log > fail2banfailure.log1
sed 's/   ...fail!//' < fail2banfailure.log1 > fail2banfailure.log2

sed -e '${/^$/d}' < fail2banfailure.log2 > fail2banfailure.log3

xargs < fail2banfailure.log3 > fail2banfailure.log4

sed 's/file for /file for\n/' < fail2banfailure.log4 > fail2banfailure.log5

sed 's/. Skipping...//' < fail2banfailure.log5 > fail2banfailure.log6
sed 's/read the filter ERROR Errors in //' < fail2banfailure.log6 > fail2banfailure.log7
sed 's/ERROR Unable to /\n/' < fail2banfailure.log7 > fail2banfailure.log8
mv fail2banfailure.log8 fail2banfailure.log5
fi



tail -n 1 < fail2banfailure.log5 > failingjailname.txt




sed 's/^/[/' < failingjailname.txt > failingjailname.txt1
sed 's/$/]/' < failingjailname.txt1 > failingjailname.txt2
mv failingjailname.txt2 failingjailname.txt
rm failingjailname.txt1
jailfailing="$(tail -n 1 failingjailname.txt)"

fgrep -n "$jailfailing" < /etc/fail2ban/jail.local  > jaillinefull.txt


sed s/:[^:]*$// < jaillinefull.txt > jaillinefull.txt1

jailline=$(cat jaillinefull.txt1) 



jaillineplus2=$(($jailline + 2))
sed -i "$jaillineplus2 s/true/false/g" /etc/fail2ban/jail.local


count=`expr $count + 1`
echo "Switching off this jail in /etc/fail2ban/jail.local"
done

echo "fail2banfailure.log reported \"done\""
echo " "
echo "The jails for protocols applications not present have been switched off."
rm failingjailname.txt
rm fail2banfail*
rm jaillinefull*
rm fail2sshheaderline.txt




