#!/bin/bash


echo " _______ _______ _  _  _ ______  _     _ _ _       ______  "
echo "(_______|_______|_)(_)(_|____  \(_)   (_) (_)     (______) "
echo " _     _ _____   _  _  _ ____)  )_     _| |_       _     _ "
echo "| |   | |  ___) | || || |  __  (| |   | | | |     | |   | |"
echo "| |   | | |_____| || || | |__)  ) |___| | | |_____| |__/ / "
echo "|_|   |_|_______)\_____/|______/ \_____/|_|_______)_____/  "


echo " "
echo "ubuntu14.04 server configuration utility."
echo " "

echo " "
echo "#######################"
echo "For documentation, please view the version documents at, chaintide.co.uk"

echo " "
echo "#######################"
echo "Released under the MIT License (MIT)"
a=3
while [ "$a" -eq "3" ]
do
read -p "View license file (y/n)?" choice
case "$choice" in 
  y|Y ) cat /root/newbuild/licence.txt; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to check auth.log for suspicious activity,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/checkauthlog.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to change the root password,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) passwd root; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to start ssh listening port change,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/sshdportchange.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to update package repositories and operating system,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/systemupgrades.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to start packages installation,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/packages.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done



echo " "
echo "#######################"
echo "Ready to setup ufw firewall,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/ufwsetup.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to setup a new, non root user,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/newuser.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to disable root user login over ssh,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/disablerootlogin.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to setup fail2ban,"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/fail2banearlierthan0.9.0.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo "#######################"
echo "Ready to setup bash command logging"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/developmentserverconfig.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done

echo " "
echo "#######################"
echo "Ready to setup an lxde desktop-"
a=3
while [ "$a" -eq "3" ]
do
read -p "Continue or skip operation (y/n)?" choice
case "$choice" in 
  y|Y ) /bin/bash /root/newbuild/remoteaccess/lxdevnc/lxdevncuser.sh; break;;
  n|N ) break;;
  * ) echo "y or n?" ;;
esac
done


echo " "
echo " "
echo "#######################"
echo "Newbuild setup utility complete."
echo "#######################"

